Bug 97504 - UNO command for character spacing
Summary: UNO command for character spacing
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Szymon Kłos
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks: UNO-Command-New
  Show dependency treegraph
 
Reported: 2016-02-02 13:01 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 19:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-02-02 13:01:43 UTC
The sidebar has a character spacing control which has 5 preset values - Very Tight, Tight, Normal, Loose, Very Loose - and it would be useful to have an UNO command for these preset values, so that it could be placed in the menu under Format > Spacing, as well as in the formatting toolbar as a group button.
Comment 1 Yousuf Philips (jay) (retired) 2016-04-08 12:56:30 UTC
@Szymon: Kendy said you were working on this. :D
Comment 2 Szymon Kłos 2016-04-08 17:18:30 UTC
Yes, I will work on this
Comment 3 Yousuf Philips (jay) (retired) 2016-04-10 20:52:03 UTC
@Szymon: Maybe the code in .uno:FontworkCharacterSpacingFloater would be helpful.
Comment 4 Commit Notification 2016-04-29 10:16:04 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=371f4f7171820e02ec59bf36f2758f13ef397850

tdf#97504 Add toolbar button for character spacing

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Samuel Mehrbrodt (CIB) 2016-04-29 10:17:30 UTC
@Jay: See example commit for how to add this to the toolbar - would you please add it where it makes sense?
Comment 6 Yousuf Philips (jay) (retired) 2016-05-20 17:18:15 UTC
@Samuel: Thanks for the fix. If i had thought there was already an uno command for it, i would have done the fix myself. :D

It isnt needed anywhere else and the it hidden by default is great.